FcDirScan(3)

NAME
FcDirScan - scan a font directory

SYNOPSIS

#include <fontconfig.h>

FcBool FcDirScan (FcFontSet *set, FcStrSet *dirs, FcFileCache *cache, FcBlanks *blanks, const char *dir, FcBool force);

DESCRIPTION

Scans an entire directory and adds all fonts found to set. If force is FcTrue, then the directory and all files within it are scanned even if information is present in the per-directory cache file or cache. Any subdirectories found are added to dirs.

VERSION

Fontconfig version 2.4.2